package org.dromara.mall.product.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 属性类型枚举
 *
 * @author pengles
 */
@Getter
@AllArgsConstructor
public enum AttributeType {

    /**
     * 文本
     */
    TEXT(0, "文本"),

    /**
     * 数字
     */
    NUMBER(1, "数字"),

    /**
     * 日期
     */
    DATE(2, "日期"),

    /**
     * 枚举
     */
    ENUM(3, "枚举");

    /**
     * 类型值
     */
    private final Integer value;

    /**
     * 类型名称
     */
    private final String name;

    /**
     * 根据值获取枚举
     */
    public static AttributeType getByValue(Integer value) {
        for (AttributeType type : values()) {
            if (type.getValue().equals(value)) {
                return type;
            }
        }
        return null;
    }

}
